### Constructor

# Gtk.CustomFilter.new

#### Declaration [src]

    GtkCustomFilter*
    gtk_custom_filter_new (
      GtkCustomFilterFunc match_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Creates a new filter using the given `match_func` to filter items.

If `match_func` is `NULL`, the filter matches all items.

If the filter func changes its filtering behavior, `gtk_filter_changed()` needs to be called.

#### Parameters

`match_func` | `GtkCustomFilterFunc`
| function to filter items
`user_data` | `gpointer`
| user data to pass to `match_func`
`user_destroy` | `GDestroyNotify`
| destroy notify for `user_data`

#### Return value

Returns: `GtkCustomFilter`
a new `GtkCustomFilter`
Ownership of the data is transferred to the caller